Package twisted :: Package protocols :: Module dns :: Class Message

[show private | hide private]
[frames | no frames]

## Class Message

Method Summary
| `__init__(self, id, answer, opCode, recDes, recAv, auth, rCode, trunc, maxSize)`
| ``addQuery`(self, name, type, cls)` Add another query to this Message.
| `decode(self, strio, length)`
| `encode(self, strio)`
| `fromStr(self, str)`
| `lookupRecordType(self, type)`
| `parseRecords(self, list, num, strio)`
| `toStr(self)`

Class Variable Summary
`NoneType` | `add`
`NoneType` | `answers`
`str` | `headerFmt`
`int` | `headerSize`
`NoneType` | `ns`
`NoneType` | `queries`

Method Details

### addQuery(self, name, type=255, cls=1)

Add another query to this Message.

  Parameters:
    `name` - The name to query.
    (type=`str`)
    `type` - Query type
    (type=`int`)
    `cls` - Query class
    (type=`int`)

Class Variable Details

### add

  Type:
    `NoneType`
  Value:

        None

### answers

  Type:
    `NoneType`
  Value:

        None

### headerFmt

  Type:
    `str`
  Value:

        '!H2B4H'

### headerSize

  Type:
    `int`
  Value:

        12

### ns

  Type:
    `NoneType`
  Value:

        None

### queries

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:36 2003 | http://epydoc.sf.net